> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Tax Details

> Updates the display name, amount, or maximum cap limit for an existing tax rule.



## OpenAPI

````yaml openapi.json PUT /tax-configurations/{id}
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /tax-configurations/{id}:
    put:
      summary: Edit Tax Details
      description: >-
        Updates the display name, amount, or maximum cap limit for an existing
        tax rule.
      parameters:
        - name: id
          in: path
          required: true
          description: The unique ID of the specific tax rule you want to update.
          schema:
            type: integer
            example: 12
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                taxName:
                  type: string
                  example: Updated Service Charge Name
                rate:
                  type: number
                  example: 50
                capAmount:
                  type: number
                  example: 2000
      responses:
        '200':
          description: Tax details updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxConfiguration'
components:
  schemas:
    TaxConfiguration:
      type: object
      properties:
        id:
          type: integer
          example: 12
        taxName:
          type: string
          example: VAT
        taxType:
          type: string
          enum:
            - flat
            - percentage
          example: percentage
        rate:
          type: number
          format: float
          example: 7.5
        currency:
          type: string
          example: NGN
        capAmount:
          type: number
          format: float
          example: 2000
        thresholdAmount:
          type: number
          format: float
          example: 0
        regionId:
          type: integer
          example: 1
        regionName:
          type: string
          example: Nigeria
        merchantName:
          type: string
          example: DEE LLC
        status:
          type: string
          enum:
            - active
            - inactive
          example: active
        template:
          type: boolean
          example: false
        templateId:
          type: integer
          example: 1
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````